let userInput = prompt("Введіть ціле число:");
let number = +userInput;

if (!Number.isNaN(number)) {
  let resultNumbers = "";

  for (let i = 0; i <= number; i++) {
    if (i % 5 === 0) {
      resultNumbers += i + " ";
    }
  }

  if (resultNumbers.length > 0) {
    console.log(resultNumbers);
  }
} else {
  console.log("Sorry, no numbers");
}

/* Відповідь 1:
Цикли - це інструмент у програмуванні, який дозволяє повторювати певну дію або набір дій кілька разів.
Вони допомагають автоматизувати повторювані завдання, такі як обробка великої кількості даних або виконання однотипних операцій.*/

/* Відповідь 2: 
Цикл "for": Цей тип циклу часто використовується для ітерації через масиви або об'єкти, коли ви заздалегідь знаєте кількість ітерацій.
Цикл "while": Цей тип циклу використовується, коли вам потрібно повторювати певні дії, поки виконується певна умова.
Цикл "do-while": перевірка умови відбувається після кожної ітерації, тобто цикл у "do-while" гарантовано виконується хоча б один раз.*/
/* Відповідь 3:
1.Явне приведення типів - це коли ви самостійно змінюєте тип даних з одного на інший за допомогою спеціальних функцій або операцій.
Ви вказуєте,який тип даних ви хочете отримати і використовуєте відповідні функції для цього.

2.Неявне приведення типів - це коли JavaScript автоматично змінює тип даних без вашої прямої участі.
Воно відбувається автоматично під час виконання операцій або обчислень,
коли JavaScript перетворює тип даних з одного на інший, щоб здійснити потрібну дію.*/
